Bug 221529 - rpc.gssd does not handle 64-bit OID conversions correctly
Summary: rpc.gssd does not handle 64-bit OID conversions correctly
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils   
(Show other bugs)
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Dickson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 222348
TreeView+ depends on / blocked
 
Reported: 2007-01-04 22:26 UTC by Steve Dickson
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version: RHBA-2007-0316
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 23:28:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch (2.31 KB, patch)
2007-01-04 22:26 UTC, Steve Dickson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0316 normal SHIPPED_LIVE nfs-utils bug fix update 2007-04-30 14:44:30 UTC

Description Steve Dickson 2007-01-04 22:26:52 UTC
Description of problem:
Correct the definition of mech_used in the gss context to use gss_OID_desc.
This fixes problems on 64-bit machines when referencing the OID.

Also updates write_buffer function to use u_int rather than size_t when
doing calculations.

Comment 1 Steve Dickson 2007-01-04 22:26:52 UTC
Created attachment 144858 [details]
upstream patch

Comment 2 RHEL Product and Program Management 2007-01-04 22:44:07 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Steve Dickson 2007-01-11 20:11:06 UTC
Fixed in nfs-utils-1.0.6-77

Comment 9 Red Hat Bugzilla 2007-05-01 23:28:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0316.html



Note You need to log in before you can comment on or make changes to this bug.